---
title: Create
url: https://www.tines.com/docs/api/cases/comments/create/
updated: 2025-09-09T09:15:06+00:00
description: Add a comment to a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Comments](https://www.tines.com/llm/docs/api/cases/comments.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/cases/comments/create/)*

## Description

Add a comment to a case.

## Request

HTTP Method: **POST**

| Parameter    | Description                                                                                                                                                                    |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| value        | The value of the comment to be added to the case. Supports markdown and mentioning users. To mention a user, use the notation <@user-2435>, replacing '2435' with the user ID. |
| author_email | **Optional** The email of the user commenting on the case. If the specified user is not assigned to the team, the author will fallback to the API key info.                    |

| Path Parameter | Description         |
| -------------- | ------------------- |
| case_id        | The ID of the case. |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/comments \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "value": "This is a comment on a case"
      }'
```

## Response

A successful request will return a JSON object describing the updated case

### Field description

| Parameter     | Description                                                                      |
| ------------- | -------------------------------------------------------------------------------- |
| case_id       | The ID of the case.                                                              |
| id            | The ID of the record with the comment attached to the case.                      |
| activity_type | The type of activity taken on the case - `commented` in this instance.           |
| value         | The comment being added.                                                         |
| created_at    | ISO 8601 Timestamp representing creation date.                                   |
| user          | Details of the user.                                                             |
| reactions     | An array of objects describing the reactions and their reactants on the comment. |

| User parameter     | Description                                          |
| ------------------ | ---------------------------------------------------- |
| user_id            | The user ID.                                         |
| first_name         | The user's first name.                               |
| last_name          | The user's last name.                                |
| email              | The user's email address.                            |
| avatar_url         | The user's avatar url.                               |
| is_service_account | Whether this user is a service account (true/false). |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "id": 7508,
  "activity_type": "COMMENTED",
  "value": "This is a comment",
  "created_at": "2024-03-07T11:42:58Z",
  "user": {
    "user_id": 1,
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "avatar_url": "example.com/avatar",
    "is_service_account": false
  },
  "reactions": [
    {
      "emoji": ":heart:",
      "reactants": [
        {
          "user_id": 1,
          "user_name": "John Smith",
          "reacted_at": "2024-03-12T10:06:38+00:00"
        }
      ]
    }
  ]
}
```

<!-- cspell:enable -->
